# Update URL after checkout

This function updates the URL to which a provider sends a user after they check out.

Endpoint: GET /Market/set_url_after_checkout
Version: 11.136.0.4
Security: BasicAuth

## Query parameters:

  - `access_token` (string, required)
    The access token for the session to the cPanel Market provider.
    Example: "725431a1-d5bc-11e5-a28b-8b0e09a93f05"

  - `order_id` (integer, required)
    The order ID that the cPanel Market provider assigned.
    Example: 123456

  - `provider` (string, required)
    The cPanel Market provider's name.
    Example: "cPStore"

  - `url_after_checkout` (string, required)
    The URL to send the browser after the user checks out.
    Example: "http://checkout.example.com"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "set_url_after_checkout"

  - `module` (string)
    The name of the module called.
    Example: "Market"

  - `result` (object)

  - `result.data` (object)

  - `result.data.error_type` (string,null)
    Any errors that the function encounters.
    Example: "This is an error."

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    - 1 - Success
- 0 - Failed: Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


